import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/job_title_edit_index_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/job_title_edit_index_entity.g.dart';

@JsonSerializable()
class JobTitleEditIndexEntity {
	@JSONField(name: "title_id")
	int titleId = 0;
	@JSONField(name: "job_title")
	String? jobTitle = null;
	int sort = 0;
	List<JobTitleEditIndexTemplate?> template = [];

	JobTitleEditIndexEntity();

	factory JobTitleEditIndexEntity.fromJson(Map<String, dynamic> json) => $JobTitleEditIndexEntityFromJson(json);

	Map<String, dynamic> toJson() => $JobTitleEditIndexEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class JobTitleEditIndexTemplate {
	int value = 0;
	String? txt = null;
	String? selected = null;

	JobTitleEditIndexTemplate();

	factory JobTitleEditIndexTemplate.fromJson(Map<String, dynamic> json) => $JobTitleEditIndexTemplateFromJson(json);

	Map<String, dynamic> toJson() => $JobTitleEditIndexTemplateToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}